Compatibility of ABI version 5 of the ncurses libraries on RHEL 8

Solution Verified - Updated -

Issue

  • Specific application needs to use the ABI version 5 of the ncurses libraries on RHEL 8, but RHEL 8 installed ncurses version is 6.1.
# rpm -qi ncurses-libs-6.1-7.20180224.el8.x86_64.rpm
warning: ncurses-libs-6.1-7.20180224.el8.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID fd431d51: NOKEY
Name        : ncurses-libs
Version     : 6.1
Release     : 7.20180224.el8
Architecture: x86_64
Install Date: (not installed)
Group       : System Environment/Libraries
Size        : 1120040
License     : MIT
Signature   : RSA/SHA256, Wed Jan 16 08:34:21 2019, Key ID 199e2f91fd431d51
Source RPM  : ncurses-6.1-7.20180224.el8.src.rpm
Build Date  : Wed Jan 16 08:04:58 2019
Build Host  : x86-vm-07.build.eng.bos.redhat.com
Relocations : (not relocatable)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Vendor      : Red Hat, Inc.
URL         : https://invisible-island.net/ncurses/ncurses.html
Summary     : Ncurses libraries
Description :
The curses library routines are a terminal-independent method of
updating character screens with reasonable optimization.  The ncurses
(new curses) library is a freely distributable replacement for the
discontinued 4.4 BSD classic curses library.

Environment

  • Red Hat Enterprise Linux 8

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In